Subject: Re: Avoiding interface failure upon DAD failure

From: [email-masked]
Date: Fri, 9 May 2003 09:15:29 +0200

[email-masked]

> PS: DAD is not a toy: at least once it spared us
> a disaster...If something really needs improvement
> in RFC 2461/2462, it is more how to cleanup everything
> when a router's sent some rogue RAs.

By the way I find it a bit amazing that RFC 2462
section 5.4 just acknowledges DAD unreliability
with no hint as how to fix it:

From 2462 section 5.4:
  "Note that the method for detecting duplicates
  is not completely reliable, and it is possible
  that duplicate addresses will still exist
  (e.g., if the link was partitioned while
  Duplicate Address Detection was performed)."

So, what about if this case would happen ?

Robert

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Francis Dupont <[email-masked]>
Date: Fri, 09 May 2003 10:19:59 +0200

In your previous mail you wrote:

   > a disaster...

=> DAD is about problem (mainly from human errors) avoidance,
DAD is NOT a security tool therefore it has not to be 100% reliable.

Regards